int last_sw = LOW;          // 前回までのスイッチの状態
boolean LED_is_ON = false;  // LEDの状態

void setup() {
  pinMode(2,INPUT);  // 2番ピンを入力に設定
  pinMode(9,OUTPUT); // 9番ピンを出力に設定
}

void loop() {
  int sw = digitalRead(2); // 現在のスイッチの状態を読み取る
  delay(20);               // ノイズ（チャタリング）回避のための待ち時間
  
  // スイッチがONになった瞬間を判定する
  if ( last_sw == LOW && sw == HIGH ) {
    LED_is_ON = !LED_is_ON; // LEDの状態を反転させる
  }
  
  // LEDの点灯制御
  if ( LED_is_ON ) {
    digitalWrite(9,HIGH);
  } else {
    digitalWrite(9,LOW);
  }
  
  // 「前回までの情報」の更新
  last_sw = sw;
}
