int last_sw = LOW; // 前回までのスイッチの状態
int count = 0;     // 押された数のカウント

void setup() {
  pinMode(2, INPUT);  // 2番ピンを入力に設定
  pinMode(9, OUTPUT); // 9番ピンを出力に設定
}

void loop() {
  int sw = digitalRead(2);  // 現在のスイッチの状態を読み取る
  delay(20); // ノイズ（チャタリング）回避のための待ち時間

  // スイッチが押されたのを判定  
  if ( last_sw == LOW && sw == HIGH ) {
    count++;  // カウント
    // 3回以上だったらLEDを光らせる
    if ( count>=3 ) {
      digitalWrite(9, HIGH);
      count = 0; // カウントリセット
    } else {
      digitalWrite(9, LOW);
    }
  }
  
  // 「前回までの状態」を更新
  last_sw = sw;
}
